<template>
	<div class="bg-darkgray rounded p-5 mr-5 config-menu">
		<div class="text-gray font-display">Menu</div>
		<a href="#" class="block text-white hover:text-gray font-display my-2 pl-2 duration-500" v-for="(tab, index) in tabs" @click.prevent="tab_set(index)">
			{{ tab.label }}
		</a>
	</div>
</template>

<script>
import {mapGetters, mapMutations} from "vuex";

export default {
	name: "ConfigMenu",
	computed: {
		...mapGetters('config', [
			'tabs'
		])
	},
	methods: {
		...mapMutations('config', [
			'tab_set'
		])
	}
}
</script>

<style scoped>

</style>